Skip to navigation

Create Memory Registry Change

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Request

This endpoint expects an object.
memoryIdstringRequired>=1 character
memoryTypestringRequired1-120 characters
namestringRequired1-160 characters
scopestringRequired1-80 characters
actionenumOptionalDefaults to review
Allowed values:
candidateReleaseIdstring or nullOptional<=160 characters
confidencestring or nullOptional<=80 characters
policystring or nullOptional<=120 characters
provenancestring or nullOptional<=300 characters
sourcestring or nullOptional<=160 characters
sourceTraceIdslist of stringsOptionalDefaults to []
ttlstring or nullOptional<=80 characters

Response

Successful Response

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error